# Shared env ({"Fn::ImportValue": "${self:custom.stage}PrimaryDatabaseAddress"})
db_details: &db_details
  RDS_HOST: {"Fn::ImportValue": "${self:custom.stage}PrimaryDatabaseAddress"}
  RDS_USER:
  RDS_PASS:
  RDS_DB:

email_details: &email_details
  FROM_MAIL: 
  MOCK_MAILER_HOST:
  MOCK_MAILER_PASS:
  MOCK_MAILER_PORT:
  MOCK_MAILER_USER:
  EMAIL_TEMPLATE_BUCKET_NAME: heisenberg-emails-${self:custom.stage}

admin_cognito: &admin_cognito_details
  COGNITO_POOL_ID: {"Fn::ImportValue": "${self:custom.stage}AdminUserPool::Id"}

environment: &environment
  env: ${self:custom.stage}

layer-versions:
  AUTHORIZE: 3
  AWS_SERVICES: 2
  DATABASE: 2
  EMAIL: 1
  GENERAL_UTILS: 2

db-lambda:
  <<: *db_details
  <<: *environment

admin-cognito-lambda:
  <<: *admin_cognito_details
  <<: *environment

courier: &courier
  COURIER_USER: username
  COURIER_PASS: password
  COURIER_PATH: /dwwebservices/v2/uat/api